# Android 向けの Monaca デバッガー

![](/files/-MgZcP1qsYhsvh6MkuAX)

| Monaca デバッガー　　　　　　　　　　                                             | ストア版                                                                                                                          | カスタムビルド版                                                                           |
| ------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------- |
| 説明                                                                 | Google Play ストアや App Store で配布されている Monaca デバッガー                                                                              | Monaca クラウド IDE でビルドして作成する Monaca デバッガー                                            |
| インストール方法                                                           | <ul><li><a href="https://play.google.com/store/apps/details?id=mobi.monaca.debugger&#x26;hl=ja">Google Play ストア</a></li></ul> | [カスタムビルド版 Monaca デバッガーのビルドとインストール](#kasutamubirudo-monaca-debaggnobirudotoinsutru) |
| [Cordova プラグイン](#cordova-puraguin)                                 | 基本プラグインおよび複数のサードパーティー製プラグインがあらかじめ実装されています。                                                                                    | 基本プラグインやサードパーティー製プラグインに加えて、ユーザー自作の プラグインなどを組み込むことができます。                            |
| <p>パッケージ名</p><p>(<code>Android:PackageName</code>)</p>             | `mobi.monaca.debugger`                                                                                                        | 設定画面にてユーザー側で設定                                                                     |
| <p>アプリのリリース番号<br>(<code>Android:versionName</code>)<br> (表示用)</p>  | 固定 (ユーザー設定不可)                                                                                                                 | ユーザー側で設定                                                                           |
| <p>アプリのビルド番号<br>(<code>Android:versionCode</code>)<br> (内部処理用)</p> | 固定 (ユーザー設定不可)                                                                                                                 | ユーザー側で設定                                                                           |
| [USB デバッグ](#usb-debaggu)                                           | 利用可 ( Chrome DevTools )                                                                                                       |                                                                                    |

{% hint style="danger" %}
プッシュ通知用 Cordova プラグインは、ストア版およびカスタムビルドデバッガーでは利用できません。利用する際は、デバッグビルドかリリースビルドにてご利用ください。

* プッシュ通知用 Cordova プラグイン例
  * onesignal-cordova-plugin
  * cordova-plugin-firebasex
    {% endhint %}

## Cordova プラグイン

Monaca デバッガーには、「 基本プラグイン 」 が、あらかじめ実装されています。

基本プラグインとは、バッテリー情報の取得 API、カメラ API、住所録の取得 API、端末情報の取得 API などを指します。詳細は、[基本プラグイン](https://ja.docs.monaca.io/reference/core-cordova-plugins) をご確認ください。

これ以外の第三者提供 ( 「 外部の Cordova プラグイン 」 ) または自作のプラグイン ( 「[ユーザー Cordova プラグイン](https://ja.docs.monaca.io/products_guide/monaca_ide/dependencies/custom_cordova_plugin)」 ) をプロジェクトに追加することもできます。ストア版の Monaca デバッガーには、これらのプラグインはデフォルトでは実装されていないため、このデバッガー上でアプリをそのまま実行しても、正しく動作しません。そこで、ストア版のデバッガーの代わりに、カスタムビルド版の Monaca デバッガーを使用します。カスタムビルド版も、ストア版も、どちらも Monaca デバッガーですが、カスタムビルド版のデバッガーは、Monaca クラウド IDE 上で 「 ビルド 」 して、端末にインストールします ( Monaca デバッガーは、アプリです )。詳細は、[カスタムビルド版 Monaca デバッガーのビルドとインストール](#kasutamubirudo-monaca-debaggnobirudotoinsutru) をご確認ください。

## USB デバッグ

Android 向けの Monaca デバッガーでは、USB デバッグをサポートしており、Google Chrome ブラウザーを使用したリモートデバッグが行えます。リモートデバッグで行える主な処理は、次のとおりです。

* Console を使用したデバッグ : Consoleを使用して、各種メッセージを出力できます。
* DOM の解析 : DOMの構造の確認と修正を行えます。また、リアルタイムで、更新を反映できます。
* JavaScript のデバッグ : JavaScriptパフォーマンスのプロファイリング、分析ポイント ( ブレークポイント )のセット、実行処理の制御を行います。

詳細は、[Chrome のリモートデバッグ機能 ( Google Chrome ブラウザーを使用した Android アプリ開発が対象 )](https://ja.docs.monaca.io/products_guide/debugger/debug#chrome-norimtodebaggu-google-chrome-burauzwoshita-android-apuriga) をご確認ください。

## カスタムビルド版 Monaca デバッガーのビルドとインストール

1. Monaca クラウド IDE メニューから、`ビルド → Androidアプリのビルド` を選択します。
2. `カスタムビルドデバッガー` を選択し、`ビルドを開始する` をクリックします。

![](/files/-MgZe5N1mpva6fwRsQmS)

&#x20;   3\. ビルドが完了するまで、時間がかかる場合があります。ビルドが完了する と、次の画面が表示されます。ビルドしたアプリは、QR コードを使用して、端末にインストールするか、または、ファイルを PC へダウンロードすることができます。

![](/files/-MgZe9j51hWJCJffHnvO)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ja.docs.monaca.io/products_guide/debugger/installation/debugger_android.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
